<?php
/*
* Settings Tab for Voce Theme Framework's Global Options
*/
?>
<h3 class="firstbar"><?php _e('Structure Settings', 'voce'); ?></h3>
<table class="form-table">
	<tr>
		<th scope="row"><?php _e('Content Layout Defaults', 'voce'); ?></th>
		<td>
			<fieldset>
				<?php
					echo !isset($checked) ? $checked = '' : '';
					foreach ($column_options as $option) {
						$column_setting = $options_structure['column'];
						if ('' != $column_setting) {
							if ($options_structure['column'] == $option['value']) {
								$checked = 'checked="checked"';
							} else {
								$checked = '';
							}
						}
						?>
						<label class="description layout-label">
							<input class="layout-radio" type="radio" name="voce_structure_options[column]" value="<?php echo $option['value']; ?>" <?php echo $checked; ?>/>
							<?php echo $option['label']; ?>
						</label>
						<?php
					}
				?>
			</fieldset>
			<p>Note: <em>The default layout structure settings apply to all layouts that do not have individual settings AND applies to the <b>is_home()</b> conditional location.  This means that if you set the front page to display a "front page" and a "posts page" in the Settings->Reading area, this default setting will apply to the "posts page" option.</em></p>
		</td>
	</tr>
	<tr>
		<th scope="row"><?php _e('Full Width Structure', 'voce'); ?></th>
		<td>
			<input class="checkbox-space" id="voce_structure_options[wide]" name="voce_structure_options[wide]" type="checkbox" value="1" <?php checked(1, voce_is_full_width(), true); ?>/>
			<label class="description" for="voce_structure_options[wide]">
				<?php _e('Activate (Recommended - A narrow structure look can still be achieved with the <em>.main</em> class. If you uncheck this box a #container ID will wrap around the site structure.)', 'voce'); ?>
			</label>
		</td>
	</tr>
	<tr>
		<th scope="row"><?php _e('Child Theme Check', 'voce'); ?></th>
		<td>
			<?php
			if ( is_child_theme() ){
				?>
				<p><?php _e('Thank you for using a child theme.', 'voce'); ?></p>
				<?php
			} else {
				?>
				<p><?php printf(__('Did you know you should really should be using a child theme to customize your site? For more information check out %s', 'voce'), '<a href="https://wpstudio.com/themes/voce/child-themes">' . THEME_NAME . ' Child Themes</a>'); ?></p>
				<?php
			}
			?>
		</td>
	</tr>

</table>

<?php
	foreach ($vgeneral as $vg) {
		echo
		(isset($vg['table_name']) ? $vg['table_name'] : ''),
		(isset($vg['table']) ? $vg['table'] : ''),
		$vg['tr'],
		$vg['th'],
		$vg['td'];
		?>
		<input class="checkbox-space" id="voce_general_options[<?php echo $vg['title']; ?>]" name="voce_general_options[<?php echo $vg['title']; ?>]" type="checkbox" value="1" <?php checked('1', $options_general[$vg['title']], true); ?>/>
		<label class="description label-space" for="voce_general_options[<?php echo $vg['title']; ?>]">
			<?php echo $vg['label']; ?>
		</label>
		<?php
		echo (isset($vg['notes']) ? $vg['notes'] : ''),
		$vg['td_end'],
		$vg['tr_end'];
	}
?>
</table>
<hr>
<p><input name="wpsvoce_global_options[submit]" id="submit_options_form" type="submit" class="button-primary" value="<?php esc_attr_e('Save Global Settings', 'voce'); ?>"/></p>