<?php
/*
*  Tab for Voce Theme Framework's Information and Notes
*/
?>
<table class="form-table voce-information">
	<tr valign="top">
		<th scope="row" valign="top"><strong><?php printf(__('The %s:', 'voce'), THEME_NAME); ?></strong></th>
		<td>
			<?php
			$voce_links = array(
				'Docs' => array(
					'name' => __('Documentation', 'voce'),
					'url' => 'https://wpstudio.com/support/docs/'
				),
				'Support' => array(
					'name' => __('Support', 'voce'),
					'url' => 'https://wpstudio.com/support-request/'
				),
				'Members' => array(
					'name' => __('Members Area', 'voce'),
					'url' => 'https://wpstudio.com/account/'
				),
				'Child Themes' => array(
					'name' => __('Voce Child Theme Designs', 'voce'),
					'url' => 'https://wpstudio.com/account/'
				),
			);
			?>
			<strong><?php echo __('Current Version ', 'voce') . THEME_VERSION; ?></strong>
			<?php
			foreach ($voce_links as $vl){
				printf(' &middot; <a href="%2$s" target="_blank"><strong>%1$s</strong></a>', $vl['name'], $vl['url']);
			}
			?>
		</td>
	</tr>
	<tr valign="top">
		<th scope="row" valign="top"><?php printf(__('Latest %s News:', 'voce'), THEME_NAME); ?></th>
		<td>
			<p>Information about release 1.9.7.2, beyond a few bug fixes, CSS typo errors, and some code cleanup there are two big changes/enhancements.</p>
			<ol>
				<li>I have rewritten the way the Title tag is rendered in the header area.  Now the header area has the <em>add_theme_support('title-tag')</em> functionality to make it more compatible with SEO plugins.</li>
				<li>There is a new "Code Enhancement" area in the settings that will evolve over time into a useful library of code snippets that can be used to enhance the Voce Theme.</li>
			</ol>

			<p>Several things of note from prior releases:
				<ul>
					<li style="list-style:disc;margin-left:25px;">This theme has support built-in for iTheme's LoopBuddy.  This means full support for LoopBuddy to manipulate the regular post/page query system.</li>
					<li style="list-style:disc;margin-left:25px;">There is a built-in page template for Page Builder systems that allows the Page Builder to take over the entire area for the theme.</li>
					<li style="list-style:disc;margin-left:25px;">The Voce Theme already has full mobile responsiveness integrated in the theme but you can also utilize many of the pre-set media query breakpoints inside the child theme's stylesheet.</li>
					<li style="list-style:disc;margin-left:25px;">There are three menu areas that can be activated and utilized depending on the site being built.</li>
					<li style="list-style:disc;margin-left:25px;">Most of the basic "structures" of a post layout can be handled with simple checkboxes.</li>
					<li style="list-style:disc;margin-left:25px;">There are three pre-styled Post Formats that can be activated for a site: Aside, Quote, Status.  You can use these example to customize your own additional post format styles if needed.</li>
					<li style="list-style:disc;margin-left:25px;">An easy access Hook system that also include basic conditional logic for where content inside the hook can be used. This is helpful for rapidly prototyping the site or customizing a client need.</li>
					<li style="list-style:disc;margin-left:25px;">Individual posts can overwrite default content layout, can create wrapping CSS classes unique for that post, create custom sidebar/widget areas that are only used with that post, and have the ability to remove a post title (perfect for page builder or straight content design pages).</li>
					<li style="list-style:disc;margin-left:25px;">Most functions in core Voce Theme code can be overwritten simply by declaring those function names in your child theme's <em>functions.php</em> file.</li>
				</ul>
			</p>
		</td>
	</tr>
</table>